## libosip2 5.3.1

=== src/test/res/Makefile ===
# Makefile.in generated by automake 1.14.1 from Makefile.am.
# src/test/res/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/libosip2
pkgincludedir = $(includedir)/libosip2
pkglibdir = $(libdir)/libosip2
pkglibexecdir = $(libexecdir)/libosip2
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = src/test/res
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
	$(top_srcdir)/scripts/mkinstalldirs
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/scripts/aclocal-include.m4 \
	$(top_srcdir)/scripts/acx_pthread.m4 \
	$(top_srcdir)/scripts/libtool.m4 \
	$(top_srcdir)/scripts/ltoptions.m4 \
	$(top_srcdir)/scripts/ltsugar.m4 \
	$(top_srcdir)/scripts/ltversion.m4 \
	$(top_srcdir)/scripts/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/scripts/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/osip-config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = aclocal-1.14 -I scripts
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AS = as
AUTOCONF = autoconf
AUTOHEADER = autoheader
AUTOMAKE = automake-1.14
AWK = mawk
CC = colorgcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g
CPP = colorgcc -E
CPPFLAGS =  -Wall -Wcast-align -Wchar-subscripts -Wformat -Winline -Wmissing-declarations -Wmissing-prototypes -Wnested-externs -Wpointer-arith
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = dlltool
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
EXTRA_LIB = 
FGREP = /bin/grep -F
FSM_LIB =  -lnsl -lrt
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBOBJS = 
LIBOSIP_SO_VERSION = 11:0:0
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OSIP_VERSION = 4.1.0
OTOOL = 
OTOOL64 = 
PACKAGE = libosip2
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_URL = 
PACKAGE_VERSION = 
PARSER_LIB = 
PATH_SEPARATOR = :
PTHREAD_CC = colorgcc
PTHREAD_CFLAGS = -pthread
PTHREAD_LIBS = 
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
SIP_CFLAGS =  -g
SIP_EXTRA_FLAGS =  -pedantic -g -DENABLE_TRACE
SIP_FSM_FLAGS = 
SIP_PARSER_FLAGS = 
STRIP = strip
VERSION = 4.1.0
abs_builddir = /home/jack/git/osip/src/test/res
abs_srcdir = /home/jack/git/osip/src/test/res
abs_top_builddir = /home/jack/git/osip
abs_top_srcdir = /home/jack/git/osip
ac_ct_AR = ar
ac_ct_CC = colorgcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/jack/git/osip/scripts/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../../
top_builddir = ../../..
top_srcdir = ../../..
EXTRA_DIST = torture_hgs torture_msgs2 torture_sdps \
urls.txt froms.txt tos.txt contacts.txt vias.txt callids.txt \
recordroutes.txt routes.txt contenttypes.txt auths.txt wwwas.txt \
sip0 sip1 sip2 sip3 sip4 sip5 sip6 sip7 sip8 sip9 \
sip10  sip11  sip12  sip13  sip14  sip15  sip16  sip17  sip18  sip19 \
sip20  sip21  sip22  sip23  sip24  sip25  sip26  sip27  sip28  sip29 \
sip30  sip31  sip32  sip33  sip34  sip35  sip36  sip37  sip38  sip39 \
sip40  sip41  sip42  sip43  sip44  sip45  sip46  sip47  sip48  sip49 \
sip50  sip51  sip52  sip53  sip54  sip55  sip56  sip57  sip58  sip59 \
sip60  sip61  sip62  sip63  sip64  sip65  sip66  sip67  sip68  sip69 \
sip70  sip71  sip72  sip73  sip74  sip75  sip76  sip77  sip78  sip79 \
sip80  sip81  sip82  sip83  sip84  sip85  sip86  sip87  sip88 \
sip-malformed0 sip-malformed1 sip-malformed2 sip-malformed3 sip-malformed4 \
sip-malformed5 sip-malformed6  sip-malformed8 \
sdp0 sdp1 sdp2 sdp3 sdp4 sdp5 sdp6 sdp7 sdp8 sdp9 \
sdp10  sdp11  sdp12  sdp13  sdp14  sdp15

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/test/res/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu src/test/res/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags TAGS:

ctags CTAGS:

cscope cscopelist:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

## libosip2 3.6.0

=== debian/changelog ===
libosip2 (3.6.0-4ubuntu1) saucy; urgency=low

  * debian/rules: Fix --with-autotools-dev to --with autotools_dev so it does
    something.

 -- William Grant <wgrant@ubuntu.com>  Wed, 16 Oct 2013 14:32:04 +1100

libosip2 (3.6.0-4) unstable; urgency=low

  * weezey polish
  * Update Standards-Version: 3.9.3
  * Refresh manpage-section-mismatch.patch
  * debian/compat -> 9 - hardening & multiarch

 -- Mark Purcell <msp@debian.org>  Sun, 24 Jun 2012 20:57:55 +1000

libosip2 (3.6.0-3) unstable; urgency=low

  * Upload to unstable - debian-release endorsed
  * Fix minor spelling-error.diff

 -- Mark Purcell <msp@debian.org>  Sun, 26 Feb 2012 07:52:37 +1100

libosip2 (3.6.0-2) experimental; urgency=low

  * Fix "Resolve unresolved symbols in shared libraries" 
    debian/rules: export EXTRA_LIB=-lpthread (Closes: #558915)

 -- Mark Purcell <msp@debian.org>  Sat, 08 Oct 2011 14:06:34 +1100

libosip2 (3.6.0-1) experimental; urgency=low

  * New upstream release
    - NEW package libosip2-7 - soname bump
  * docs: drop duplicate-changelog-files ChangeLog
  * Drop content of dependancy_libs (sed -i)
    - Fixes "Emptying dependency_libs in .la files" (Closes: #633334)
  * Switch to dh 7
  * Switch to dpkg-source 3.0 (quilt) format
  * Upgrade to Standards Version 3.9.2
  * Upgrade debian/watch to v3
  * copyright-refers-to-symlink-license
    - Updated debian/copyright -> LGPL-2.1
  * Add osip.1 to libosip2-dev

 -- Mark Purcell <msp@debian.org>  Sat, 08 Oct 2011 13:54:35 +1100

libosip2 (3.5.0-1) experimental; urgency=low

  * New upstream release
  * NEW package libosip2-6 - soname bump
  * debian/compat -> 7

 -- Mark Purcell <msp@debian.org>  Sat, 29 Jan 2011 15:08:04 +1000

libosip2 (3.3.0-1) unstable; urgency=low

  * New upstream release
    - libosip2 transition
  * Cleanup Uploaders: (Closes: #508850)
  * Upstream includes ignore-debian-Makefile.in.patch

 -- Mark Purcell <msp@debian.org>  Sun, 08 Mar 2009 15:36:40 +1100

libosip2 (3.2.0-1) experimental; urgency=low

  * New upstream release

  [ Patrick Matthäi ]
  * Bumped to Standards-Version 3.8.0.
  * Removed some more useless whitespaces at EOL in debian/control.

  [ Mark Purcell ]
  * NEW package libosip2-4 to match upstream soname
  * Add uclean(1) call to get-orig-source target
  * Add manpage-section-mismatch.patch

 -- Mark Purcell <msp@debian.org>  Sat, 15 Nov 2008 22:11:57 +1100

libosip2 (3.1.0-1) unstable; urgency=low

  * New upstream release

  [ Kilian Krause ]
  * Update Maintainer to Debian VoIP Team.

  [ Mark Purcell ]
  * Cleanup get-orig-source VARS
  * Ran uclean(1) over .orig.tar.gz
  * Ignore upstream debian/Makefile.in
     - ignore-debian-Makefile.in.patch
  * Bump packagename to libosip2-3deb (libosip2-3 is used in etch)
    - package-name-doesnt-match-sonames libosip2-3
    - Conflicts: Replaces: etch libosip3 (<< 3.0) same soname
  * Remove debian/dirs - lintian: package-contains-empty-directory

 -- Mark Purcell <msp@debian.org>  Fri, 18 Apr 2008 16:04:23 +1000

libosip2 (3.0.3-2-1) unstable; urgency=low

  * New Upstream Release

  [ Mikael Magnusson ]
  * Fix debian/rules print-version and get-orig-source

  [ Mark Purcell ]
  * Bump soname (backwards libosip2-2)
    - linphone-nox: nox client fails to start (Closes: #439196)
    - libosip2-3: package-name-doesnt-match-sonames libosip2-2 
    (Closes: #439600)
  * linda: debhelper.mk needs Build-Depends: (>=  4.1.0)
  * Dump Provides:/ Conflicts: libosip2feature209 not used in Debian
  * Add Conflicts: libosip2-3 (>> 3.0) for missed soname bump

 -- Mark Purcell <msp@debian.org>  Fri, 31 Aug 2007 22:02:47 +0100

libosip2 (3.0.3-2) unstable; urgency=low

  * Build-Depends: cdbs

 -- Mark Purcell <msp@debian.org>  Sun, 19 Aug 2007 12:27:34 +0100

libosip2 (3.0.3-1) unstable; urgency=low

  * New upstream release (Closes: #421509)

  [ Kilian Krause ]
  * debian/control:
    - Import into pkg-voip.
    - Use binary:Version stanza to allow clean binNMUs.
      Bump to dpkg-dev (>= 1.13.19)
  * debian/watch: Update.

  [ Mark Purcell ]
  * libosip2-dev Recommends: pkg-config
  * Switch to cdbs
  * Ack NMU
    - libosip2-dev: libosip2.pc is missing (Closes: #328825)
    - libosip2-3: please provide osip.1 upstream man page (Closes:
    #366037)
    - Link in description doesn&#39;t exist (Closes: #352251)
  * Add Build-Depends: docbook-to-man to generate osip(1)
  * Add Build-Depends: autotools-dev
  * move osip.1 to -dev package, allows future upgrades of libs

 -- Mark Purcell <msp@debian.org>  Sun, 19 Aug 2007 11:43:12 +0100

libosip2 (2.2.2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * BTS old bugs:
    + Include libosip2.pc in -dev package (Closes: #328825)
    + Link libosip2.so.3.0.0 against libpthread.so (Closes: #356330)
    + Fix Links in debian/control: fsf.org => gnu.org (Closes: #352251)

  * Remove debian/*.ex files (Closes: #366036).
  * Remove debian/libosip2.* files.
  * switch to dh_install in debian/rules:
    + enable --list-missing to catch non installed files (like osip.1).
    + .files/.install were not in sync.
  * Also bump Standards-Version to 3.6.2.
  * Install upstream man page osip.1 (Closes: #366037).
  * Fix FSF address in debian/copyright.
  * Make debian/copyright complete (missing copyright statement for
    osip_md5.{h,c}) (Closes: #366034).

 -- Pierre Habouzit <madcoder@debian.org>  Wed, 24 May 2006 22:04:05 +0200

libosip2 (2.2.2-3) unstable; urgency=medium

  * Revert NMU

 -- Anand Kumria <wildfire@progsoc.org>  Tue, 18 Apr 2006 13:44:28 +1000

libosip2 (2.2.2-2) unstable; urgency=low

  * Change Build-Dep to automake1.8 (Closes: #335134)

 -- Anand Kumria <wildfire@progsoc.org>  Sat, 31 Dec 2005 13:07:36 +1100

libosip2 (2.2.2-1) unstable; urgency=low

  [ Aymeric MOIZARD ]
  * parser speed improvements
  * replace mutex with critical section on windows for performance.
  * fix a bug in the parser for empty header (also store empty Accept header)
  * improve mime support.
  * improve sipfrag support.


=== debian/control ===
Source: libosip2
Section: comm
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Kilian Krause <kilian@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.13.19), autotools-dev, docbook-to-man
Standards-Version: 3.9.3
Homepage: http://www.gnu.org/software/osip/
Vcs-Svn: svn://svn.debian.org/pkg-voip/libosip2/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/libosip2/?op=log

Package: libosip2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libosip2-7 (= ${binary:Version})
Recommends: pkg-config
Description: development files for the SIP library
 libosip2 header files and static libraries to assist in development of
 programs wishing to use SIP.
 .
 The oSIP library is written in C, is thread safe and has no dependencies
 except the standard C library.
 .
 oSIP could be used to implement an IP soft-phone as well as embedded SIP
 software. oSIP is not limited to endpoint agents implementations and can
 also be used to implement SIP proxies or registration services.
 .
 oSIP currently provides an API for the SIP message parser, SDP message
 parser, and library to handle "SIP transactions" as defined by the SIP
 standards (RFC3261).

Package: libosip2-7
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Session Initiation Protocol (SIP) library
 oSIP is an implementation of SIP.
 .
 SIP stands for the Session Initiation Protocol and is described by the
 RFC3261.  This library aims to provide multimedia and telecom software
 developers an easy and powerful interface to initiate and control SIP
 based sessions in their applications.
 .
 SIP is the IETF replacement for the ITU's H323. Example programs using this
 library are partysip and linphone.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --parallel --with autotools_dev

export EXTRA_LIB=-lpthread

override_dh_auto_configure:
	dh_auto_configure -- --enable-gperf --enable-pthread

override_dh_install:
	dh_install --list-missing
	# Drop content of dependency_libs to avoid having to recompile exiv2
	# if the path of the libs that appear there changes
	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`

get-orig-source:
	uscan --force-download

## libosip2 4.0.0

=== debian/changelog ===
libosip2 (4.0.0-3ubuntu2) trusty; urgency=medium

  * Use dh-autoreconf instead of autotools-dev to also fix FTBFS on ppc64el by
    getting new libtool macros (still updates config.{sub,guess}).

 -- Logan Rosen <logan@ubuntu.com>  Wed, 15 Jan 2014 21:23:42 -0500

libosip2 (4.0.0-3ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: Fix --with-autotools-dev to --with autotools_dev so it does
      something.

 -- William Grant <wgrant@ubuntu.com>  Mon, 28 Oct 2013 12:46:29 +1100

libosip2 (4.0.0-3) unstable; urgency=low

  * Fix "FTBFS on hurd-i386" patch supplied by Pino (Closes: #715196)

 -- Mark Purcell <msp@debian.org>  Sun, 04 Aug 2013 10:25:43 +1000

libosip2 (4.0.0-2) unstable; urgency=low

  * Upload to unstable
  * Update debian/control - fix Vcs & Standards-Version:

 -- Mark Purcell <msp@debian.org>  Sun, 12 May 2013 18:41:44 +1000

libosip2 (4.0.0-1) experimental; urgency=low

  * New upstream release
  * NEW package libosip2-10 - match soname
  * Drop obsolete spelling-error-in-manpage.diff
  * Refresh manpage-section-mismatch.patch

 -- Mark Purcell <msp@debian.org>  Sun, 23 Dec 2012 13:45:52 +1100

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Kilian Krause <kilian@debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.13.19), autotools-dev, docbook-to-man
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.13.19), dh-autoreconf, docbook-to-man
+Standards-Version: 3.9.4
 Homepage: http://www.gnu.org/software/osip/
-Vcs-Svn: svn://svn.debian.org/pkg-voip/libosip2/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/libosip2/?op=log
+Vcs-Svn: svn://anonscm.debian.org/pkg-voip/libosip2/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/libosip2/trunk/
 
 Package: libosip2-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libosip2-7 (= ${binary:Version})
+Depends: ${misc:Depends}, libosip2-10 (= ${binary:Version})
 Recommends: pkg-config
 Description: development files for the SIP library
  libosip2 header files and static libraries to assist in development of
@@ -30,7 +30,7 @@
  parser, and library to handle "SIP transactions" as defined by the SIP
  standards (RFC3261).
 
-Package: libosip2-7
+Package: libosip2-10
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 %:
-	dh $@ --parallel --with autotools_dev
+	dh $@ --parallel --with autoreconf
 
 export EXTRA_LIB=-lpthread
 
@@ -13,5 +13,8 @@
 	# if the path of the libs that appear there changes
 	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`
 
+override_dh_autoreconf:
+	dh_autoreconf ./autogen.sh
+
 get-orig-source:
 	uscan --force-download

## libosip2 4.1.0

=== debian/changelog ===
libosip2 (4.1.0-2.1) unstable; urgency=medium

  * Non-maintainer upload to fix security issues (Closes: #860287)
  * CVE-2016-10324: In libosip2 in GNU oSIP 4.1.0, a malformed SIP message
    can lead to a heap buffer overflow in the osip_clrncpy() function
    defined in osipparser2/osip_port.c.
  * CVE-2016-10325: In libosip2 in GNU oSIP 4.1.0, a malformed SIP message
    can lead to a heap buffer overflow in the _osip_message_to_str()
    function defined in osipparser2/osip_message_to_str.c, resulting in a
    remote DoS.
  * CVE-2016-10326: In libosip2 in GNU oSIP 4.1.0, a malformed SIP message
    can lead to a heap buffer overflow in the osip_body_to_str() function
    defined in osipparser2/osip_body.c, resulting in a remote DoS.
  * CVE-2017-7853: In libosip2 in GNU oSIP 5.0.0, a malformed SIP message
    can lead to a heap buffer overflow in the msg_osip_body_parse()
    function defined in osipparser2/osip_message_parse.c, resulting in a
    remote DoS.

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 14 Apr 2017 16:21:21 -0400

libosip2 (4.1.0-2) unstable; urgency=low

  * Upload to unstable - coordinated through debian-release

 -- Mark Purcell <msp@debian.org>  Wed, 25 Jun 2014 21:54:30 +1000

libosip2 (4.1.0-1) experimental; urgency=low

  * New upstream release
  * NEW package libosip2-11 - match soname
  * Fix "use dh-autoreconf instead of autotools-dev to fix FTBFS on
    ppc64el" patch from ~logan (Closes: #735640)
  * Drop all debian/patches - included upstream

 -- Mark Purcell <msp@debian.org>  Mon, 20 Jan 2014 20:24:38 +1100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: libosip2
 Section: comm
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Kilian Krause <kilian@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.13.19), dh-autoreconf, docbook-to-man
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.gnu.org/software/osip/
 Vcs-Svn: svn://anonscm.debian.org/pkg-voip/libosip2/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/libosip2/trunk/
@@ -13,7 +12,7 @@
 Package: libosip2-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libosip2-10 (= ${binary:Version})
+Depends: ${misc:Depends}, libosip2-11 (= ${binary:Version})
 Recommends: pkg-config
 Description: development files for the SIP library
  libosip2 header files and static libraries to assist in development of
@@ -30,7 +29,7 @@
  parser, and library to handle "SIP transactions" as defined by the SIP
  standards (RFC3261).
 
-Package: libosip2-10
+Package: libosip2-11
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,3 @@
 
 override_dh_autoreconf:
 	dh_autoreconf ./autogen.sh
-
-get-orig-source:
-	uscan --force-download

=== debian/watch ===
version=3
http://ftp.gnu.org/gnu/osip/libosip2-(.*)\.tar\.gz debian svn-upgrade

## libosip2 5.3.0

=== debian/changelog ===
libosip2 (5.3.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix CVE-2022-41550.

 -- Bastian Germann <bage@debian.org>  Wed, 15 Mar 2023 01:04:10 +0100

libosip2 (5.3.0-2) unstable; urgency=medium

  * enable testsuite

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 08 Mar 2022 23:51:47 +0100

libosip2 (5.3.0-1) experimental; urgency=medium

  [ upstream ]
  * new release(s);
    closes: bug#1006679, thanks to Yangfl

  [ Jonas Smedegaard ]
  * update watch file to enable pgp signature;
    add upstream signing key to source
  * update copyright info: update coverage
  * drop patches cherry-picked upstream now applied
  * rename binary package libosip2-11 -> libosip2-15,
    to match updated SONAME
  * track library symbols;
    build-depend on pkg-kde-tools

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 03 Mar 2022 23:13:29 +0100

libosip2 (4.1.0-3) unstable; urgency=medium

  [ Victor Seva ]
  * update VCS links and wrap-and-sort

  [ Jonas Smedegaard ]
  * acknowledge NMU;
    closes: bug#860345, thanks to anarcat
  * add myself as uploader
  * add git-buildpackage config:
    + sign tags
    + use pristine-tar
    + filter-out any .git* file
    + use DEP-14 branch naming scheme
    + add usage comment
  * drop README.Debian: contains no Debian-specific info
  * update watch file:
    + use format 4
    + use substitution strings
    + use secure https protocol
    + set dversionmangle=auto
    + add usage comment
  * drop obsolete shlibs.local file
  * install only upstream README as documentation
    (TODO and NEWS are outdated, and BUGS is virtually empty)
  * simplify rules: use debhelper compatibility level 13 (not 9);
    build-depend on debhelper-compat
    (not debhelper dh-autoreconf)
  * stop build-depend explicitly on dpkg-dev:
    needed version satisfied in all supported releases of Debian
  * set Rules-Requires-Root: no
  * update Vcs-* fields: git repo moved to salsa
  * update homepage to use secure https protocol
  * declare compliance with Debian Policy 4.6.0
  * add source helper script copyright-check
  * update copyright info:
    + rewrite using machine-readable format;
      override related lintian warnings
    + add coverage for my own contributions
  * annotate package libosip2-dev as Multi-Arch: same
  * stop install *.la files

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 03 Mar 2022 22:14:00 +0100

=== debian/control ===
Source: libosip2
Section: comm
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
 Kilian Krause <kilian@debian.org>,
 Mark Purcell <msp@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 docbook-to-man,
 pkg-kde-tools,
Standards-Version: 4.6.0
Homepage: https://www.gnu.org/software/osip/
Vcs-Git: https://salsa.debian.org/pkg-voip-team/libosip2.git
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/libosip2
Rules-Requires-Root: no

Package: libosip2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libosip2-15 (= ${binary:Version}),
 ${misc:Depends},
Recommends:
 pkg-config,
Description: development files for the SIP library
 libosip2 header files and static libraries
 to assist in development of programs wishing to use SIP.
 .
 The oSIP library is written in C, is thread safe
 and has no dependencies except the standard C library.
 .
 oSIP could be used to implement an IP soft-phone
 as well as embedded SIP software.
 oSIP is not limited to endpoint agents implementations
 and can also be used to implement SIP proxies
 or registration services.
 .
 oSIP currently provides an API for the SIP message parser,
 SDP message parser,
 and library to handle "SIP transactions"
 as defined by the SIP standards (RFC3261).

Package: libosip2-15
Section: libs
Pre-Depends:
 ${misc:Pre-Depends},
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Session Initiation Protocol (SIP) library
 oSIP is an implementation of SIP.
 .
 SIP stands for the Session Initiation Protocol
 and is described by the RFC3261.
 This library aims to provide multimedia
 and telecom software developers
 an easy and powerful interface
 to initiate and control SIP based sessions in their applications.
 .
 SIP is the IETF replacement for the ITU's H323.
 Example programs using this library are partysip and linphone.

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
pgpmode=auto,\
dversionmangle=auto \
https://ftp.gnu.org/gnu/osip/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## libosip2 5.3.1

=== debian/changelog ===
libosip2 (5.3.1-1.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:26:13 +0000

libosip2 (5.3.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062556

 -- Steve Langasek <vorlon@debian.org>  Fri, 01 Mar 2024 05:39:11 +0000

libosip2 (5.3.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.6.1
  * update copyright info: update coverage
  * update symbols file

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 25 Jan 2024 20:07:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: libosip2
 Section: comm
 Priority: optional
-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
  Kilian Krause <kilian@debian.org>,
  Mark Purcell <msp@debian.org>,
-Build-Depends:
+Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13),
  docbook-to-man,
  pkg-kde-tools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://www.gnu.org/software/osip/
 Vcs-Git: https://salsa.debian.org/pkg-voip-team/libosip2.git
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/libosip2
@@ -21,7 +22,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libosip2-15 (= ${binary:Version}),
+ libosip2-15t64 (= ${binary:Version}),
  ${misc:Depends},
 Recommends:
  pkg-config,
@@ -43,7 +44,10 @@
  and library to handle "SIP transactions"
  as defined by the SIP standards (RFC3261).
 
-Package: libosip2-15
+Package: libosip2-15t64
+Provides: ${t64:Provides}
+Replaces: libosip2-15
+Breaks: libosip2-15 (<< ${source:Version})
 Section: libs
 Pre-Depends:
  ${misc:Pre-Depends},

=== debian/rules ===
#!/usr/bin/make -f

export EXTRA_LIB=-lpthread

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_configure:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_configure -- --enable-gperf --enable-pthread --enable-test
else
	dh_auto_configure -- --enable-gperf --enable-pthread
endif

execute_after_dh_install:
	find debian/ -name '*.la' -delete

%:
	dh $@ --with pkgkde_symbolshelper
